Debian Bug report logs - #448638
RFP: i2p -- I2P is an anonymizing network

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Martin Mueller <descartes@gmx.de>

Date: Tue, 30 Oct 2007 17:45:01 UTC

Severity: wishlist

Merged with 665450

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#448638; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Mueller <descartes@gmx.de>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Mueller <descartes@gmx.de>
To: submit@bugs.debian.org
Subject: RFP: I2P -- I2P is an anonymizing network
Date: Tue, 30 Oct 2007 18:36:36 +0100
Package: wnpp
Severity: wishlist

"I2P is an anonymizing network, offering a simple layer that
identity-sensitive applications can use to securely communicate. All
data is wrapped with several layers of encryption, and the network is
both distributed and dynamic, with no trusted parties.

Anonymity is not a boolean - we are not trying to make something
"perfectly anonymous", but instead are working at making attacks more
and more expensive to mount. I2P alone is what could be called a "low
latency mix network", and there are limits to the anonymity offered by
such a system, but the applications on top of I2P, such as Syndie, I2P
mail, and I2PSnark extend it to offer both additional functionality and
protection." (Source: http://www.i2p.net/home)


Website: http://www.i2p.net/

License: http://www.i2p.net/licenses - Variouse (GPL, MIT ...), may be
causing problems with Debian guidelines!

Source Download: http://www.i2p.net/download




Changed Bug title to `RFP: i2p -- I2P is an anonymizing network' from `RFP: I2P -- I2P is an anonymizing network'. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. (Sun, 18 Nov 2007 12:42:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#448638; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Mueller <descartes@gmx.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #12 received at 448638@bugs.debian.org (full text, mbox):

From: Martin Mueller <descartes@gmx.de>
To: 448638@bugs.debian.org
Subject: www.i2p.net
Date: Fri, 15 Feb 2008 09:55:02 +0100
www.i2p.net seems to be down, here is an alternativ link:

http://www.i2p2.de/index.html




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#448638; Package wnpp. (Thu, 29 Jul 2010 14:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rémi Debay <remi.debay@acgcenter.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 29 Jul 2010 14:39:04 GMT) Full text and rfc822 format available.

Message #17 received at 448638@bugs.debian.org (full text, mbox):

From: Rémi Debay <remi.debay@acgcenter.com>
To: 448638@bugs.debian.org
Subject: Looking to pakage the i2p
Date: Thu, 29 Jul 2010 16:35:08 +0200
[Message part 1 (text/plain, inline)]
Hi all,

I am interested on helping to package the soft. I've seen on the source
there are already debian files to make a deb package.


Is there already someone working on it ?


Cheers,

Rémi Debay
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#448638; Package wnpp. (Wed, 04 Aug 2010 12:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rémi Debay <remi.debay@acgcenter.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 04 Aug 2010 12:09:03 GMT) Full text and rfc822 format available.

Message #22 received at 448638@bugs.debian.org (full text, mbox):

From: Rémi Debay <remi.debay@acgcenter.com>
To: 448638@bugs.debian.org
Subject: Packaging on standby because of the wrapper dependencies
Date: Wed, 4 Aug 2010 14:06:05 +0200
[Message part 1 (text/plain, inline)]
Hello,

I have work on packaging the software and I am having a dependency problem
with theJava Service Wrapper. This package is not on Debian and is highly
needed to compile and run the i2p router and especially the webconsole.

I am repporting an Request For Package and might work on it a bit.

Good news, i am able to start and compile the router with no binaries and
only with debian dependencies.


Rémi Debay
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#448638; Package wnpp. (Thu, 05 Aug 2010 10:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rémi Debay <debay.remi@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 05 Aug 2010 10:09:03 GMT) Full text and rfc822 format available.

Message #27 received at 448638@bugs.debian.org (full text, mbox):

From: Rémi Debay <debay.remi@gmail.com>
To: 448638@bugs.debian.org
Subject: I2P Packaging on standby - RFP made for the Java wrapper service
Date: Thu, 5 Aug 2010 12:06:34 +0200
[Message part 1 (text/plain, inline)]
Hello,

I have made a request for package  <591758@bugs.debian.org>
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=591758
The work goes on...

Rémi Debay,
[Message part 2 (text/html, inline)]

Changed Bug title to 'ITP: i2p -- I2P is an anonymizing network' from 'RFP: i2p -- I2P is an anonymizing network' Request was from "HungryHobo@i2pmail.org" <hungryhobo@i2pmail.org> to control@bugs.debian.org. (Wed, 24 Nov 2010 04:57:06 GMT) Full text and rfc822 format available.

Owner recorded as HungryHobo@i2pmail.org. Request was from "HungryHobo@i2pmail.org" <hungryhobo@i2pmail.org> to control@bugs.debian.org. (Wed, 24 Nov 2010 04:57:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, HungryHobo@i2pmail.org:
Bug#448638; Package wnpp. (Sun, 12 Dec 2010 11:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Karl Goetz <karl@kgoetz.id.au>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, HungryHobo@i2pmail.org. (Sun, 12 Dec 2010 11:48:06 GMT) Full text and rfc822 format available.

Message #36 received at 448638@bugs.debian.org (full text, mbox):

From: Karl Goetz <karl@kgoetz.id.au>
To: 448638@bugs.debian.org
Subject: any progress on i2p?
Date: Sun, 12 Dec 2010 15:57:53 +1030
[Message part 1 (text/plain, inline)]
hi,
i was wondering if the i2p packaging had made any progress? I see you
got the blocking package uploaded in august, but this bug has seen no
comments.
Is the packaging in a vcs somewhere?
kk

-- 
Karl Goetz, (Kamping_Kaiser / VK5FOSS)
Debian contributor / gNewSense Maintainer
http://www.kgoetz.id.au
No, I won't join your social networking group
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#448638; Package wnpp. (Sat, 18 Dec 2010 18:24:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to HungryHobo@i2pmail.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 18 Dec 2010 18:24:10 GMT) Full text and rfc822 format available.

Message #41 received at 448638@bugs.debian.org (full text, mbox):

From: "HungryHobo@i2pmail.org" <hungryhobo@i2pmail.org>
To: Karl Goetz <karl@kgoetz.id.au>, 448638@bugs.debian.org
Subject: Re: Bug#448638: any progress on i2p?
Date: Sat, 18 Dec 2010 17:58:05 +0000 (UTC)
Hi Karl,

if you mean the package on mentors.debian.net, I last updated it on Dec
1. I was hoping someone would comment, or maybe even accept it into Debian.

http://mentors.debian.net/cgi-bin/sponsor-pkglist?action=details;package=i2p

The packaging scripts are part of the I2P sources. The latest stable
sources are available as a .tar.bz2 at http://www.i2p2.de/download . The
latest development version can be checked out of Monotone as explained
here: http://www.i2p2.de/newdevelopers

There is a debian directory in the I2P source tree, so you can just run
dpkg-buildpackage without the need to patch anything.

HH



On 12/18/2010 09:00 AM, Karl Goetz wrote:
> hi,
> i was wondering if the i2p packaging had made any progress? I see you
> got the blocking package uploaded in august, but this bug has seen no
> comments.
> Is the packaging in a vcs somewhere?
> kk
> 





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, HungryHobo@i2pmail.org:
Bug#448638; Package wnpp. (Tue, 21 Dec 2010 02:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Karl Goetz <karl@kgoetz.id.au>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, HungryHobo@i2pmail.org. (Tue, 21 Dec 2010 02:51:09 GMT) Full text and rfc822 format available.

Message #46 received at 448638@bugs.debian.org (full text, mbox):

From: Karl Goetz <karl@kgoetz.id.au>
To: HungryHobo@i2pmail.org
Cc: 448638@bugs.debian.org
Subject: Re: Bug#448638: any progress on i2p?
Date: Tue, 21 Dec 2010 12:53:47 +1030
[Message part 1 (text/plain, inline)]
On Sat, 18 Dec 2010 17:58:05 +0000 (UTC)
"HungryHobo@i2pmail.org" <hungryhobo@i2pmail.org> wrote:

> Hi Karl,

Hi mate,
First off, I'm not a DD, just an interested bystander.

> if you mean the package on mentors.debian.net, I last updated it on

Ah, I wasn't aware of that packaging.

> Dec 1. I was hoping someone would comment, or maybe even accept it
> into Debian.

I assume you know Debian is in freeze, so it won't be an option until
after it releases.

Fwiw, i doubt you'll have any luck getting it uploaded while its
packaged as a native package (ref the lintian message on mentors).

> http://mentors.debian.net/cgi-bin/sponsor-pkglist?action=details;package=i2p

Would you be interested in other comments on the packaging? (I note you
were in touch with the mentors list, but didnt get much feedback).

> The latest development version can be checked out of Monotone as
> explained here: http://www.i2p2.de/newdevelopers

monotone? bleh. talk about an irritating vcs. I might spend some time
later to work it out, or i might just look at any packages you upload :)
kk

-- 
Karl Goetz, (Kamping_Kaiser / VK5FOSS)
Debian contributor / gNewSense Maintainer
http://www.kgoetz.id.au
No, I won't join your social networking group
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#448638; Package wnpp. (Tue, 04 Jan 2011 18:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to HungryHobo@i2pmail.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 04 Jan 2011 18:33:03 GMT) Full text and rfc822 format available.

Message #51 received at 448638@bugs.debian.org (full text, mbox):

From: "HungryHobo@i2pmail.org" <hungryhobo@i2pmail.org>
To: Karl Goetz <karl@kgoetz.id.au>
Cc: 448638@bugs.debian.org
Subject: Re: Bug#448638: any progress on i2p?
Date: Tue, 4 Jan 2011 18:31:13 +0000 (UTC)
Hi Karl,

sorry for the late response.
I would love for it to be non-native, but the only way I have been able
to do that is by following the workaround at the bottom of bug 580804:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=580804

I'm not a Debian expert though, so it could just be me doing it wrong.

Yes, I'd be interested to hear comments on the I2P package.

I find Git more irritating than Monotone, but that's just me...

HH


On 12/20/2010 08:10 PM, Karl Goetz wrote:
> On Sat, 18 Dec 2010 17:58:05 +0000 (UTC)
> "HungryHobo@i2pmail.org" <hungryhobo@i2pmail.org> wrote:
> 
>> Hi Karl,
> 
> Hi mate,
> First off, I'm not a DD, just an interested bystander.
> 
>> if you mean the package on mentors.debian.net, I last updated it on
> 
> Ah, I wasn't aware of that packaging.
> 
>> Dec 1. I was hoping someone would comment, or maybe even accept it
>> into Debian.
> 
> I assume you know Debian is in freeze, so it won't be an option until
> after it releases.
> 
> Fwiw, i doubt you'll have any luck getting it uploaded while its
> packaged as a native package (ref the lintian message on mentors).
> 
>> http://mentors.debian.net/cgi-bin/sponsor-pkglist?action=details;package=i2p
> 
> Would you be interested in other comments on the packaging? (I note you
> were in touch with the mentors list, but didnt get much feedback).
> 
>> The latest development version can be checked out of Monotone as
>> explained here: http://www.i2p2.de/newdevelopers
> 
> monotone? bleh. talk about an irritating vcs. I might spend some time
> later to work it out, or i might just look at any packages you upload :)
> kk
> 





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, HungryHobo@i2pmail.org:
Bug#448638; Package wnpp. (Wed, 05 Jan 2011 01:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to micah <micah@riseup.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, HungryHobo@i2pmail.org. (Wed, 05 Jan 2011 01:57:03 GMT) Full text and rfc822 format available.

Message #56 received at 448638@bugs.debian.org (full text, mbox):

From: micah <micah@riseup.net>
To: 448638@bugs.debian.org, hungryhobo@i2pmail.org
Subject: Re: Bug#448638: any progress on i2p?
Date: Tue, 04 Jan 2011 20:55:11 -0500
[Message part 1 (text/plain, inline)]
Hi,

,----
| I would love for it to be non-native, but the only way I have been able
| to do that is by following the workaround at the bottom of bug 580804:
| 
| http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=580804
`----

Did you see the follow-up posts on debian-mentors to your sponsorship
request? Specifically, this one, which details how to do it:

http://lists.debian.org/debian-mentors/2010/11/msg00478.html

micah

-- 

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, HungryHobo@i2pmail.org:
Bug#448638; Package wnpp. (Wed, 05 Jan 2011 11:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Karl Goetz <karl@kgoetz.id.au>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, HungryHobo@i2pmail.org. (Wed, 05 Jan 2011 11:00:03 GMT) Full text and rfc822 format available.

Message #61 received at 448638@bugs.debian.org (full text, mbox):

From: Karl Goetz <karl@kgoetz.id.au>
To: HungryHobo@i2pmail.org, 448638@bugs.debian.org
Subject: Re: Bug#448638: any progress on i2p?
Date: Wed, 5 Jan 2011 21:14:06 +1030
[Message part 1 (text/plain, inline)]
On Tue,  4 Jan 2011 18:31:13 +0000 (UTC)
"HungryHobo@i2pmail.org" <hungryhobo@i2pmail.org> wrote:

> Hi Karl,
> 
> sorry for the late response.

No problem.

> I would love for it to be non-native, but the only way I have been
> able to do that is by following the workaround at the bottom of bug
> 580804:
> 
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=580804
> 
> I'm not a Debian expert though, so it could just be me doing it wrong.

Micah commented on this bit.

> Yes, I'd be interested to hear comments on the I2P package.

I'll have another look at the package this weekend then.

> I find Git more irritating than Monotone, but that's just me...

Git is annoying to use, but monotone appears to be a bit of a saga to
simply get data branched (at least, trying to follow the instructions
on the i2p site).
kk

> HH
> 
> 
> On 12/20/2010 08:10 PM, Karl Goetz wrote:
> > On Sat, 18 Dec 2010 17:58:05 +0000 (UTC)
> > "HungryHobo@i2pmail.org" <hungryhobo@i2pmail.org> wrote:
> > 
> >> Hi Karl,
> > 
> > Hi mate,
> > First off, I'm not a DD, just an interested bystander.
> > 
> >> if you mean the package on mentors.debian.net, I last updated it on
> > 
> > Ah, I wasn't aware of that packaging.
> > 
> >> Dec 1. I was hoping someone would comment, or maybe even accept it
> >> into Debian.
> > 
> > I assume you know Debian is in freeze, so it won't be an option
> > until after it releases.
> > 
> > Fwiw, i doubt you'll have any luck getting it uploaded while its
> > packaged as a native package (ref the lintian message on mentors).
> > 
> >> http://mentors.debian.net/cgi-bin/sponsor-pkglist?action=details;package=i2p
> > 
> > Would you be interested in other comments on the packaging? (I note
> > you were in touch with the mentors list, but didnt get much
> > feedback).
> > 
> >> The latest development version can be checked out of Monotone as
> >> explained here: http://www.i2p2.de/newdevelopers
> > 
> > monotone? bleh. talk about an irritating vcs. I might spend some
> > time later to work it out, or i might just look at any packages you
> > upload :) kk
> > 

-- 
Karl Goetz, (Kamping_Kaiser / VK5FOSS)
Debian contributor / gNewSense Maintainer
http://www.kgoetz.id.au
No, I won't join your social networking group
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, HungryHobo@i2pmail.org:
Bug#448638; Package wnpp. (Sat, 08 Jan 2011 12:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Karl Goetz <karl@kgoetz.id.au>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, HungryHobo@i2pmail.org. (Sat, 08 Jan 2011 12:57:06 GMT) Full text and rfc822 format available.

Message #66 received at 448638@bugs.debian.org (full text, mbox):

From: Karl Goetz <karl@kgoetz.id.au>
To: HungryHobo@i2pmail.org, 448638@bugs.debian.org
Subject: Re: Bug#448638: any progress on i2p?
Date: Sat, 8 Jan 2011 22:43:44 +1030
[Message part 1 (text/plain, inline)]
On Tue,  4 Jan 2011 18:31:13 +0000 (UTC)
"HungryHobo@i2pmail.org" <hungryhobo@i2pmail.org> wrote:

> Hi Karl,

[...]

> Yes, I'd be interested to hear comments on the I2P package.

I've been doing some work on the package the last few days, I'll email
you about it late tomorrow my time. Hopefully we can sort some stuff
out then get back to the bug.
kk


-- 
Karl Goetz, (Kamping_Kaiser / VK5FOSS)
Debian contributor / gNewSense Maintainer
http://www.kgoetz.id.au
No, I won't join your social networking group
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, HungryHobo@i2pmail.org:
Bug#448638; Package wnpp. (Fri, 06 May 2011 14:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to <anonymus@i2pmail.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, HungryHobo@i2pmail.org. (Fri, 06 May 2011 14:39:03 GMT) Full text and rfc822 format available.

Message #71 received at 448638@bugs.debian.org (full text, mbox):

From: <anonymus@i2pmail.org>
To: <448638@bugs.debian.org>
Subject: Debian packages for I2P
Date: Fri, 6 May 2011 13:16:31 +0000 (UTC)
KillYourTV has made some nice packages for I2P - the router and some apps that use i2p as well as unrelated stuff, all which can be found at: http://killyourtc.i2p.to/debian
He's actively maintining and improving it.
Maybe that's of interest here?

Cheers




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, HungryHobo@i2pmail.org:
Bug#448638; Package wnpp. (Sun, 08 May 2011 05:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Karl Goetz <karl@kgoetz.id.au>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, HungryHobo@i2pmail.org. (Sun, 08 May 2011 05:39:03 GMT) Full text and rfc822 format available.

Message #76 received at 448638@bugs.debian.org (full text, mbox):

From: Karl Goetz <karl@kgoetz.id.au>
To: 448638@bugs.debian.org
Cc: <anonymus@i2pmail.org>
Subject: Re: Bug#448638: Debian packages for I2P
Date: Sun, 8 May 2011 15:30:26 +1000
[Message part 1 (text/plain, inline)]
On Fri,  6 May 2011 13:16:31 +0000 (UTC)
<anonymus@i2pmail.org> wrote:

> KillYourTV has made some nice packages for I2P - the router and some
> apps that use i2p as well as unrelated stuff, all which can be found
> at: http://killyourtc.i2p.to/debian He's actively maintining and
> improving it. Maybe that's of interest here?

Hi annon,
thanks for the heads up. I'll try and find some time to check the
packages.
thanks,
kk

-- 
Karl Goetz, (Kamping_Kaiser / VK5FOSS)
Debian contributor / gNewSense Maintainer
http://www.kgoetz.id.au
No, I won't join your social networking group
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, HungryHobo@i2pmail.org:
Bug#448638; Package wnpp. (Wed, 18 May 2011 01:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Karl Goetz <karl@kgoetz.id.au>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, HungryHobo@i2pmail.org. (Wed, 18 May 2011 01:18:03 GMT) Full text and rfc822 format available.

Message #81 received at 448638@bugs.debian.org (full text, mbox):

From: Karl Goetz <karl@kgoetz.id.au>
To: 448638@bugs.debian.org, killyourtv@mail.i2p
Subject: Fw: I2P package repo / Ubuntu PPA by KYTV
Date: Wed, 18 May 2011 09:57:16 +1000
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Forwarding for KYTV:

Date: Sun, 15 May 2011 16:57:06 +0000
From: Kill Your TV <killyourtv@mail.i2p>
To: 448638@bugs.debian.org
Subject: I2P package repo / Ubuntu PPA by KYTV


- - -----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Anonymus wrote:

> KillYourTV has made some nice packages for I2P - the router and some
> apps that use i2p as well as unrelated stuff, all which can be found
> at: http://killyourtc.i2p.to/debian He's actively maintining and
> improving it. Maybe that's of interest here?

Actually, you can find them at http://killyourtv.i2p.to/debian . I'd
recommend fetching the sources from the Ubuntu PPA that I'm running.
The packages for the most recent MTN build are at
https://launchpad.net/~i2p.packages/+archive/snapshots/+sourcepub/1728536/+listing-archive-extra
(the main page for the PPA is https://launchpad.net/~i2p.packages).
It'll definitely be less painful to get it from the PPA. Fetching the
dsc with dget should work fine too.

I would be happy to take over the ITP (assuming I wouldn't be
stepping on anyone's toes in doing so--this ITP seems kinda...dead).


Cheers,

- - - -- 
Kill Your TV
GPG Key 0xDF0A0A1A 

- -- 
Karl Goetz, (Kamping_Kaiser / VK5FOSS)
Debian contributor / gNewSense Maintainer
http://www.kgoetz.id.au
No, I won't join your social networking group
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk3TC1wACgkQhIBzgCf88S6VAACeL5UkbwYweYRtQlzuIWeU6Dw0
Y90AoNMUWTWPzsRfp45vMKyB429up+Eb
=Jfqf
-----END PGP SIGNATURE-----

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, HungryHobo@i2pmail.org:
Bug#448638; Package wnpp. (Wed, 18 May 2011 04:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to anonymus <anonymus@i2pmail.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, HungryHobo@i2pmail.org. (Wed, 18 May 2011 04:09:06 GMT) Full text and rfc822 format available.

Message #86 received at 448638@bugs.debian.org (full text, mbox):

From: anonymus <anonymus@i2pmail.org>
To: 448638@bugs.debian.org
Subject: typo
Date: Wed, 18 May 2011 01:17:30 +0200
I'm sorry for the typo. 

it's not http://killyourtc.i2p.to/debian
but: http://killyourtv.i2p.to/debian or http://killyourtv.i2p/debian
from within i2p.

cheers







Merged 448638 665450 Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Sat, 24 Mar 2012 13:34:55 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: i2p -- I2P is an anonymizing network, offering a simple layer that identity-sensitive applications can use to securely' from 'ITP: i2p -- I2P is an anonymizing network' Request was from Raphael Geissert <geissert@debian.org> to control@bugs.debian.org. (Mon, 26 Mar 2012 02:51:20 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: i2p -- I2P is an anonymizing network' from 'ITP: i2p -- I2P is an anonymizing network, offering a simple layer that identity-sensitive applications can use to securely' Request was from Raphael Geissert <geissert@debian.org> to control@bugs.debian.org. (Mon, 26 Mar 2012 03:06:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, HungryHobo@i2pmail.org:
Bug#448638; Package wnpp. (Sun, 28 Oct 2012 23:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam _ <sam0_@live.co.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, HungryHobo@i2pmail.org. (Sun, 28 Oct 2012 23:45:04 GMT) Full text and rfc822 format available.

Message #97 received at 448638@bugs.debian.org (full text, mbox):

From: Sam _ <sam0_@live.co.uk>
To: "448638@bugs.debian.org" <448638@bugs.debian.org>
Subject: Taking over(?)
Date: Sun, 28 Oct 2012 23:22:30 +0000
[Message part 1 (text/plain, inline)]
Hi,

Is there anybody working on this right now; I'll be taking it over in a few days if not.

Thanks.
 		 	   		  
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, HungryHobo@i2pmail.org:
Bug#448638; Package wnpp. (Wed, 13 Mar 2013 03:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlos Alberto Lopez Perez <clopez@igalia.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, HungryHobo@i2pmail.org. (Wed, 13 Mar 2013 03:33:03 GMT) Full text and rfc822 format available.

Message #102 received at 448638@bugs.debian.org (full text, mbox):

From: Carlos Alberto Lopez Perez <clopez@igalia.com>
To: 448638@bugs.debian.org
Cc: Vibhav Pant <vibhavp@gmail.com>, control@bugs.debian.org, Sam _ <sam0_@live.co.uk>, hungryhobo@i2pmail.org
Subject: RFP: i2p -- I2P is an anonymizing network
Date: Wed, 13 Mar 2013 04:31:16 +0100
[Message part 1 (text/plain, inline)]
retitle 448638 RFP: i2p -- I2P is an anonymizing network
noowner 448638
thanks

Hi


Given the timeline, I think is pretty clear that nobody is working on
this package.

In the mean time another ITP was filled for this package #665450 (now
merged on this one). So I'm retitling this bug to RFP to easily allow
anyone that wants to take care of this to work on it.

If anyone of you want to step in and take care of packaging I2P for
Debian please re-title the bug back to ITP and assign it to you.

If it happens that there is more than one person interested on packaging
I2P, then the interested ones can talk between them to check the
possibility of maintaining the package together.


Thanks!

[signature.asc (application/pgp-signature, attachment)]

Changed Bug title to 'RFP: i2p -- I2P is an anonymizing network' from 'ITP: i2p -- I2P is an anonymizing network' Request was from Carlos Alberto Lopez Perez <clopez@igalia.com> to control@bugs.debian.org. (Wed, 13 Mar 2013 03:33:05 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by HungryHobo@i2pmail.org. Request was from Carlos Alberto Lopez Perez <clopez@igalia.com> to control@bugs.debian.org. (Wed, 13 Mar 2013 03:33:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#448638; Package wnpp. (Fri, 15 Mar 2013 20:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hungry Hobo <hungryhobo@i2pmail.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 15 Mar 2013 20:39:05 GMT) Full text and rfc822 format available.

Message #111 received at 448638@bugs.debian.org (full text, mbox):

From: Hungry Hobo <hungryhobo@i2pmail.org>
To: Carlos Alberto Lopez Perez <clopez@igalia.com>, 448638@bugs.debian.org
Cc: Vibhav Pant <vibhavp@gmail.com>, Sam _ <sam0_@live.co.uk>
Subject: Re: Bug#448638: RFP: i2p -- I2P is an anonymizing network
Date: Fri, 15 Mar 2013 07:23:20 +0000 (UTC)
[Message part 1 (text/plain, inline)]
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,

KYTV has been doing an excellent job maintaining Ubuntu and Debian packages:

https://launchpad.net/~i2p-maintainers/+archive/i2p

Quote from http://www.i2p2.de/debian.html :

> For Debian Oldstable (Lenny) and Stable (Squeeze): Add the following entries to
|/etc/apt/sources.list.d/i2p.list|
> |    deb http://ppa.launchpad.net/i2p-maintainers/i2p/ubuntu natty main
>     deb-src http://ppa.launchpad.net/i2p-maintainers/i2p/ubuntu natty
main |
>
> For Debian Testing (Wheezy) or Unstable (Sid), use the following:
> |    deb http://ppa.launchpad.net/i2p-maintainers/i2p/ubuntu precise main
>     deb-src http://ppa.launchpad.net/i2p-maintainers/i2p/ubuntu
precise main |


Regards,
HH


Am 13.03.2013 04:39, schrieb Carlos Alberto Lopez Perez:
> retitle 448638 RFP: i2p -- I2P is an anonymizing network
> noowner 448638
> thanks
>
> Hi
>
>
> Given the timeline, I think is pretty clear that nobody is working on
> this package.
>
> In the mean time another ITP was filled for this package #665450 (now
> merged on this one). So I'm retitling this bug to RFP to easily allow
> anyone that wants to take care of this to work on it.
>
> If anyone of you want to step in and take care of packaging I2P for
> Debian please re-title the bug back to ITP and assign it to you.
>
> If it happens that there is more than one person interested on packaging
> I2P, then the interested ones can talk between them to check the
> possibility of maintaining the package together.
>
>
> Thanks!
>

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with undefined - http://www.enigmail.net/

iEYEARECAAYFAlFCzC4ACgkQHix7YXbc3BIe6ACfaJC7G0sQpYaJ3jU1d7iDN1g9
AsMAn1ZSbJ40bOygbounGW3Sba0/j/+8
=AJkZ
-----END PGP SIGNATURE-----

[Message part 2 (text/html, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:25:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.